% This function uses matlabs built in svm training and classifying routines

function [yout,Q] = mat_svm(x,y,kernel,xtest)

% First train the data
Q = svmtrain(x,y,'kernel_function',kernel);

% Then classify the data depending on whether we have test data or not
if(isempty(xtest))
    % Then use the training data as our test data
    yout = svmclassify(Q,x);
else
    % Use the test data 
    yout = svmclassify(Q,xtest);
end

