clc;
clear;
x = [randn(100,1), randn(100,1), randn(100,1)];
e = [0.25*randn(100,1), 0.25*randn(100,1), 0.25*randn(100,1)];
beta = [1,4,7;2,5,8;3,6,9];
 
y = x*beta+e;
 
[coeff,score,latent,tsquare] = princomp(y);
 
y_pc = y*coeff;
y_pc_pred = (x*beta*coeff+e*coeff);
 
y_pc_diff = y_pc-y_pc_pred;
 
 
y_orig = y_pc*inv(coeff);
y_orig_pred = y_pc_pred*inv(coeff);
 
y_orig_diff = y_orig-y_orig_pred;
 
y_diff = y-y_orig;